Я исправил это, установив предыдущую версию

могу опубликовать свой R блокнот. Когда я пытаюсь опубликовать, я получаю следующую ошибку:

Console~/

Console
R Markdown

    .../R Test 1/Fall Programming with R Test 1.Rmd     
Error in loadNamespace(i, c(lib.loc, .libPaths()), versionCheck = vI[[i]]) : 
  there is no package called 'backports'
Calls: :: ... tryCatch -> tryCatchList -> tryCatchOne -> <Anonymous>
Execution halted

Я пытался установить backports, но, похоже, он тоже не работает. Я получаю эту ошибку при попытке установить backports:

> install.packages("backports")
Installing package into ‘C:/Users/agdpa/Documents/R/win-library/3.4’
(as ‘lib’ is unspecified)

  There is a binary version available but the source version is later:
          binary source needs_compilation
backports  1.1.0  1.1.1             FALSE

installing the source package ‘backports’

trying URL 'https://cran.rstudio.com/src/contrib/backports_1.1.1.tar.gz'
Content type 'application/x-gzip' length 10090 bytes
downloaded 10090 bytes

* installing *source* package 'backports' ...
** package 'backports' successfully unpacked and MD5 sums checked
** libs

*** arch - i386
Warning: running command 'make -f "C:/PROGRA~1/R/R-34~1.1/etc/i386/Makeconf" -f "C:/PROGRA~1/R/R-34~1.1/share/make/winshlib.mk" SHLIB="backports.dll" OBJECTS="dotsElt.o dotsLength.o init.o"' had status 127
ERROR: compilation failed for package 'backports'
* removing 'C:/Users/agdpa/Documents/R/win-library/3.4/backports'
Warning in install.packages :
  running command '"C:/PROGRA~1/R/R-34~1.1/bin/x64/R" CMD INSTALL -l "C:\Users\agdpa\Documents\R\win-library\3.4" C:\Users\agdpa\AppData\Local\Temp\Rtmp8IcAL2/downloaded_packages/backports_1.1.1.tar.gz' had status 1
Warning in install.packages :
  installation of package ‘backports’ had non-zero exit status
 user10108926 сент. 2017 г., 03:52
Попробуйте установить бинарный пакет, а не исходный пакет. Ваш вопрос для этого вопроса вводит в заблуждение, потому что ошибки, которые вы получаете, указывают на проблемы конфигурации в вашей установке R.

Ответы на вопрос(1)

Решение Вопроса

backports R пакет. Это предотвращаетdevtools пакет от установки индивидуального пакета, который я написал.

Я исправил это, установив предыдущую версиюbackports:

require(devtools)
install_version("backports", version = "1.1.0")

Ваш ответ на вопрос